#
# spec file for package isl
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define islsover 10

Name:           isl
Version:        0.11.1
Release:        0
Summary:        Integer Set Library
License:        MIT
Group:          Development/Languages/C and C++
Url:            http://www.kotnet.org/~skimo/isl/
BuildRequires:  gmp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         isl-%{version}.tar.bz2
Patch0:         config-guess-sub-update.diff

%description
ISL is a library for manipulating sets and relations of integer points
bounded by linear constraints.
It is used by Cloog and the GCC Graphite optimization framework.

%package devel
Summary:        Development tools for ISL
Group:          Development/Languages/C and C++
Requires:       libisl%islsover = %{version}-%{release}

%description devel
Development tools and headers for the ISL.

%package -n libisl%islsover
Summary:        The ISL shared library
Group:          Development/Languages/C and C++

%description -n libisl%islsover
The shared library for the ISL.

%prep
%setup -q -n isl-%{version}
%patch0

%build
%configure
make %{_smp_mflags}

%check
make %{_smp_mflags} check

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
rm -f $RPM_BUILD_ROOT%{_libdir}/libisl.so.*-gdb.py
rm -f $RPM_BUILD_ROOT%{_libdir}/libisl.a

%post -n libisl%islsover -p /sbin/ldconfig

%postun -n libisl%islsover -p /sbin/ldconfig

%files -n libisl%islsover
%defattr(-,root,root,-)
%{_libdir}/libisl.so.%{islsover}*

%files devel
%defattr(-,root,root,-)
%{_includedir}/isl
%{_libdir}/libisl.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
